:root{
    --verde:#4F7667;
    --verde-oscuro:#3D6155;
    --verde-claro:#DDE7E2;
    --crema:#F8F5F0;
    --blanco:#FFFFFF;
    --texto:#2F3A35;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:'Montserrat',sans-serif;
    background:var(--crema);
    color:var(--texto);
    line-height:1.6;
}

/* ==========================
   HEADER
========================== */

header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    background:rgba(255,255,255,.95);
    backdrop-filter:blur(10px);
    z-index:1000;
    box-shadow:0 2px 12px rgba(0,0,0,.06);
}

.container{
    width:90%;
    max-width:1400px;
    margin:auto;
}

.navbar{
    height:90px;
    display:flex;
    align-items:center;
    justify-content:space-between;
}

.logo{
    display:flex;
    align-items:center;
    gap:15px;
    text-decoration:none;
}

.logo img{
    width:80px;
    height:80px;
    object-fit:contain;
}

.logo-text{
    line-height:1;
	padding-right: 5px;
    padding-left: 5px;
}

.logo-text small{
	display:block;

    color:var(--verde);
	font-size:24px;
	font-family: 'Cormorant Garamond', serif;
}

.logo-text span{
    font-family:'Cormorant Garamond',serif;
    font-size:24px;
    color:var(--verde);
}

.logo-text span2{
    font-family:'Cormorant Garamond',serif;
    font-size:24px;
    color:var(--verde);
}
/* ==========================
   MENU
========================== */

.menu{
    display:flex;
    align-items:center;
    gap:35px;
}

.menu a{
    text-decoration:none;
    color:var(--texto);
    font-weight:500;
    transition:.3s;
}

.menu a:hover{
    color:var(--verde);
}

/* ==========================
   SUBMENU
========================== */

.dropdown{
    position:relative;
}

.dropdown-btn{
    cursor:pointer;
}

.dropdown-menu{
    position:absolute;
    top:35px;
    left:0;
    width:250px;

    background:white;
    border-radius:15px;
    overflow:hidden;

    box-shadow:0 15px 35px rgba(0,0,0,.12);

    opacity:0;
    visibility:hidden;
    transform:translateY(10px);

    transition:.3s;
}

.dropdown:hover .dropdown-menu{
    opacity:1;
    visibility:visible;
    transform:translateY(0);
}

.dropdown-menu a{
    display:block;
    padding:15px 20px;
}

.dropdown-menu a:hover{
    background:var(--verde-claro);
}

/* ==========================
   BOTONES
========================== */

.btn{
    background:var(--verde);
	color:white;
	text-decoration:none;
	padding:14px 10px;
	border-radius:50px;
	display:inline-block;

    transition:.3s;
	text-align: center;
}
.btn1{
    background:var(--verde);
	color:white;
	text-decoration:none;
	padding:14px 28px;
	border-radius:50px;
	display:inline-block;

    transition:.3s;
	text-align: center;
}
.btn:hover{
    background:var(--verde-oscuro);
    transform:translateY(-2px);
}

.btn-outline{
    border:2px solid var(--verde);
    color:var(--verde);
    text-decoration:none;
    padding:14px 28px;
    border-radius:50px;
    display:inline-block;
    transition:.3s;
}

.btn-outline:hover{
    background:var(--verde);
    color:white;
}

/* ==========================
   HERO
========================== */

.hero{
	min-height:100vh;
	background:
    linear-gradient(
        rgba(255,255,255,.50),
        rgba(255,255,255,.50)
    ),;
	background-size:cover;
	background-position:center;
	display:flex;
	align-items:center;
	background-image: url(images/salon.jpeg);
}

.hero-content{
    max-width:700px;
}

.hero h1{
    font-family:'Cormorant Garamond',serif;
    font-size:5rem;
    color:var(--verde);
    margin-bottom:20px;
}

.hero p{
    font-size:1.2rem;
    margin-bottom:30px;
    line-height:1.8;
}

.hero-buttons{
    display:flex;
    gap:15px;
    flex-wrap:wrap;
}

/* ==========================
   SECCIONES
========================== */

.section{
	padding:100px 0;
	background-image: url(images/logo.png);
	background-size: 50% 50%;
	background-repeat: no-repeat;
}

.section2{
	padding:100px 0;
	
}
.section-title{
    text-align:center;
    margin-bottom:60px;
}

.section-title2{
	text-align:center;
	margin-bottom:60px;
	margin-top: 60px;
	background-color: #DDE7E2;
}
.section-title h2{
    font-family:'Cormorant Garamond',serif;
    font-size:3rem;
    color:var(--verde);
}

/* ==========================
   BENEFICIOS
========================== */

.benefits{
    background:white;
    padding:90px 0;
}

.grid-4{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;
}

.benefit{
    text-align:center;
    padding:20px;
}

.benefit h3{
    color:var(--verde);
    margin-bottom:10px;
}

/* ==========================
   TARJETAS
========================== */

.cards{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:25px;
}

.cards2{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:25px;
}
.cards3{
    display:grid;
    grid-template-columns:repeat(8,1fr);
    gap:25px;
}
	

.card{
    background:white;
    border-radius:20px;
    overflow:hidden;
    box-shadow:0 8px 25px rgba(0,0,0,.08);
    transition:.3s;
}

.card:hover{
    transform:translateY(-8px);
}

.card img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.card-content{
    padding:25px;
}

.card h3{
    color:var(--verde);
    margin-bottom:15px;
}

/* ==========================
   HORARIOS
========================== */

.schedule{
    background:var(--verde-claro);
}

.table-wrapper{
    overflow-x:auto;
}

table{
    width:100%;
    border-collapse:collapse;
    background:white;
}

th{
    background:var(--verde);
    color:white;
    padding:15px;
}

td{
    border:1px solid #ddd;
    padding:15px;
    text-align:center;
}

/* ==========================
   TESTIMONIOS
========================== */

.testimonials{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:25px;
}

.testimonial{
    background:white;
    padding:30px;
    border-radius:20px;
    box-shadow:0 8px 25px rgba(0,0,0,.08);
    font-style:italic;
}

/* ==========================
   CONTACTO
========================== */

.contact{
    background:var(--verde);
    color:white;
}

.contact-box{
    text-align:center;

}

.mapa {
	text-align:center;
	}
.mapa iframe{
    border-radius:20px;
    box-shadow:0 10px 30px rgba(0,0,0,.08);

}
.contact h2{
    font-family:'Cormorant Garamond',serif;
    font-size:3rem;
    margin-bottom:20px;
}

/* ==========================
   FOOTER
========================== */

footer{
    background:var(--verde-oscuro);
    color:white;
    text-align:center;
    padding:25px;
}

/* ==========================
   RESPONSIVE
========================== */

@media(max-width:1000px){

    .cards,
    .grid-4,
    .testimonials{
        grid-template-columns:1fr 1fr;
    }

    .hero h1{
        font-size:4rem;
    }
}

@media(max-width:768px){

    .menu{
        display:none;
    }

    .cards,
    .grid-4,
    .testimonials{
        grid-template-columns:1fr;
    }

    .hero h1{
        font-size:3rem;
    }

    .logo-text span{
        font-size:30px;
    }

    .hero-buttons{
        flex-direction:column;
    }
}
